#! /bin/sh
#
# $Id: $
# Convert gtkmm2 DocBook tutorial to PDF format.
#
# --- Configuration --- 
SAXON_JAR=/usr/local/java/saxon6_5_2/saxon.jar
FOP_HOME=/usr/local/java/fop-0.20.4rc
DOCBOOK_FO_STYLESHEET=http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
DOC_NAME=gtkmm-tut

# ---- Boilerplate ---
echo creating FO...
java -cp $SAXON_JAR com.icl.saxon.StyleSheet -o $DOC_NAME.fo  $DOC_NAME.xml $DOCBOOK_FO_STYLESHEET
echo creating PDF - shed loads of errors from currently unsupported DocBook features...
# Setup CLASSPATH - from FOP distro:
# Add fop.jar, which resides in $FOP_HOME/build
FOP_CLASSPATH=${FOP_HOME}/build/fop.jar

# Add in the dependency .jar files, which reside in $FOP_HOME/lib
DIRLIBS=${FOP_HOME}/lib/*.jar
for i in ${DIRLIBS}
do
    # if the directory is empty, then it will return the input string
    # this is stupid, so case for it
    if [ "$i" != "${DIRLIBS}" ] ; then
      if [ -z "$FOP_CLASSPATH" ] ; then
        FOP_CLASSPATH=$i
      else
        FOP_CLASSPATH="$i":$FOP_CLASSPATH
      fi
    fi
done

java -cp $FOP_CLASSPATH org.apache.fop.apps.Fop $DOC_NAME.fo $DOC_NAME.pdf
echo done.




#  Copyright (C) 1998-2002 The gtkmm Development Team

#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Library General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.

#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Library General Public License for more details.

#  You should have received a copy of the GNU Library General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


